Category:  Estimated time: 0.00 hour

Target version: 0.0.3   

Redmine version:  External issue:  

Description

If I set the Sidebar to display a Wiki page, I get this:

ActionView::TemplateError (undefined method `strip_tags' for #<SidebarHook:0xb56a6dcc @parsed_head

ings=[]>) on line #59 of app/views/layouts/base.rhtml:

56: <%= tag('div', {:id => 'main', :class => (has_content?(:sidebar) ? '' : 'nosidebar')}, true) %

>

57:     <div id="sidebar">        

58:         <%= yield :sidebar %>

59:         <%= call_hook :view_layouts_base_sidebar %>

60:     </div>

61:     

62:     <div id="content">

 

Doesn’t seem to matter which location I choose.

I also get the error if I try to use Wiki-style formatting in a Text option (“h1.” for example).

I’m using Redmine 1.2.0 stable in a Turnkey Linux VM.

Any input appreciated.

Related issues:

Related to Sidebar Content - Bug #1827: Sidebar wiki contents doesn't get ren... Closed 19 Aug 2011 19 Sep 2011

Duplicates Sidebar Content - Bug #1809: the plugin show_issue_description and... Closed 21 Jul 2011 19 Sep 2011

Associated revisions

Revision 8 - 14 Sep 2011 08:07 - Andriy Lesyuk

Now using Projects Settings Hook (#1839), moved sidebar content to views (#1827, #1797, #1809)

History

#1 - 29 Jun 2011 04:59 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

This can be related to version 1.2.0... Will check. Thanks for the report.

#2 - 12 Aug 2011 21:49 - Adam Mallinson

I get this same error when using headings (tested with h1, h2 and h3 tags), if i take the headings out i can still use underline and other formatting

options with no problems

Running Mongrel 1.5, Ruby 1.8.7 and Redmine 1.2.1 under Windows Server 2008 R2
#3 - 23 Aug 2011 18:48 - Andriy Lesyuk

- Target version set to 0.0.3

#4 - 14 Sep 2011 08:11 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 80

Try updating code from SVN.

Please also note that now you also need Project Settings Hook plugin!

#5 - 19 Sep 2011 06:33 - Andriy Lesyuk

- Due date set to 19 Sep 2011

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

I believe the issue has been resolved.
